namespace Netina.Domain.Extensions;

public static class ProductExtension
{
    public static string GetWebSiteUrl(this Product product)
        => $"/products/{product.Id}/{product.Slug}";

    public static string GetWebSiteUrl(this ProductSDto product)
        => $"/products/{product.Id}/{product.Slug}";

    public static string GetWebSiteUrl(this ProductLDto product)
        => $"/products/{product.Id}/{product.Slug}";
}